#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_InsideIdData
{
	//ID
	int mId;
	//Íæ¼Òid
	int mPlayerId;
};

class M_InsideId
{
public:
private:
	static std::auto_ptr<M_InsideId> msSingleton;
public:
	int GetCount();
	const M_InsideIdData* GetData(int Id);
	boost::unordered_map<int, M_InsideIdData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_InsideId* GetSingleton();
private:
	boost::unordered_map<int, M_InsideIdData> mMapData;
};
